Will someone please sue Adobe?

Adobe has skilfully engineered itself into a monopoly position. Now it is doing what all monopolies tend to do in this situation, namely ignore the needs of its customers. If we want (or need) to use Flash sites, then we are forced to use Adobe’s products, whether we like it or not. Therefore, why should Adobe care if its products fail to keep pace with our needs?

And it’s not just Adobe’s laughably rotten security that is the problem. Fact is that 64-bit operating systems have been publicly available for many years. Yet Adobe has chronically failed to deliver a 64-bit version of its Flash reading software. Instead, we have been forced to make-do with a variety of 32>64-bit so-called “compatibility layers”. These are lash-ups that are supposed to make 32-bit Flash work on 64-bit operating systems. But as many users will bear testament, these ungainly hacks cause immense problems.

One particularly ungainly and unreliable hack is the “nspluginwrapper” for Linux, that allows 32-bit Flash to run within 64-bit Gecko browsers, such as Firefox, Seamonkey etc. Granted, “nsplugincrapper” does work most of the time, after a fashion. However, it also causes frequent browser crashes and for many people, this makes Flash on Linux virtually unusable.

Amidst much crowing from the laggards at Adobe, there is finally an alpha-test version of 64 bit Flash. However, currently, it is only available for Linux. Amazingly, installing it is relatively straightforward – much easer than the instructions would have you believe. In principle, you first need to remove all instances of Flash from your system. Then grab a copy of the latest 64 bit flash for Linux. Then extract the libflashplayer.so file (yes, just one file!) to the correct location in your home folder, usually: ~/.mozilla/plugins/libflashplayer.so

Linux users will observe this is a “user-based” solution. This means you can play/upgrade etc. without risking messing-up your entire system. Also means and you have just one file to kill if/when you want to get rid of it and you don’t need to be “root” in order to do so. You could even create a specific user just for using flash-enabled browsers, thus protecting the rest of your system against Adobe’s now infamous and plentiful security holes. After all, this aplha-test version may be new but there is no guarantee with regard to its security.

My experience is that the alpha-release, native, 64-bit flash for Linux is an improvement upon the old 32>64 bit bodge-ups. However, it is still far from stable. Sadly however, for 64-bit Mac & Windows users, seems you have no choice at all. You just have to put up with whatever 32-bit rubbish Adobe throws at you, or go without!

Therefore, I sincerely hope that some right-minded individuals in the US do the rest of the planet a huge favour and file a class-action against Adobe. Adobe has behaved quite disgracefully in this matter. So like many of Adobe’s hapless customers, I would welcome any legal challenge that forced Adobe to release all its Flash source code under a General Public License, or similar. That would mean that other companies, as well as open source projects such as SWFDec and Gnash, would be able to offer rival products that actually worked properly!

I don’t know if anyone has visited Adobe’s website lately? Suffice it to say I think the company should change its name to “Excuses’R’Us. Thus confirming my view that a little healthy competition might persuade Adobe to spend less time providing excuses and more time providing solutions?

Honk! Honk! 🙂

Leave a Reply

You must be logged in to post a comment.